#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main (int argc, char *argv[])
{
  int conf;

  if ((argc != 3) && (argc != 4))
  {
    fprintf (stderr, "errore - introdurre 2 o 3 parametri\n");
    exit (1);
  }

  if (argc == 3)
    conf = strcmp (argv[1], argv[2]);
  else /* argc == 4 */
  {
    int len;
    if ((sscanf(argv[3],"%d",&len) != 1) || (len < 1))
    {
       fprintf (stderr,
         "errore - il parametro '%s' non e' un intero positivo\n", argv[3]);
       exit (2);
    }
    conf = strncmp (argv[1], argv[2], len);
  }

  if (conf == 0)
    printf ("Le stringhe sono identiche\n");
  else
  {
    printf ("Le stringhe sono diverse\n");
    printf ("Ordine alfabetico crescente:\n");
    if (conf > 0)
      printf ("- %s\n- %s\n", argv[2], argv[1]);
    else /* conf < 0 */
      printf ("- %s\n- %s\n", argv[1], argv[2]);
  }

  return 0;
}
