#include <stdio.h>
#include <stdlib.h>

int main (int argc, char *argv[])
{
  double cambio;
  int i;

  if (argc != 3) {
    fprintf (stderr, "errore - inserire nome valuta e tasso di cambio\n");
    exit (1);
  }

  if (sscanf(argv[2],"%lf",&cambio) != 1) {
    fprintf (stderr,
      "errore - il tasso di cambio (%s) non e' un numero valido\n", argv[2]);
    exit (2);
  }

  printf (
    "| euro   %-9.9s | euro   %-9.9s | euro   %-9.9s | euro   %-9.9s | euro   %-9.9s |\n",
    argv[1], argv[1], argv[1], argv[1], argv[1]);

  for (i=1; i<=9; i++)
  {
    double id = i;
    printf ("| %4.2lf = %-9.2lf |", id/100, id/100*cambio);
    printf (" %4.1lf = %-9.2lf |", id/10, id/10*cambio);
    printf (" %4.0lf = %-9.2lf |", id, id*cambio);
    printf (" %4.0lf = %-9.2lf |", id*10, id*10*cambio);
    printf (" %4.0lf = %-9.2lf |", id*100, id*100*cambio);
    putchar ('\n');
  }

  return 0;
}
