/**************************************

MODULO: tavquad1.c

SCOPO: tavola dei quadrati
(con limite introdotto da STDIN)

**************************************/

#include <stdio.h>
#include <stdlib.h>

#define MAXBC 127

int main ()
{
  unsigned long i;
  long imax;
  char buf[MAXBC+1];

  printf ("TAVOLA DEI QUADRATI\n\n");

  /* richiedo il limite e controllo che sia stato inserito */

  printf ("Limite della tabella? ");
  if (gets (buf) == NULL)
  {
    fprintf (stderr, "errore - inserire il limite superiore della tabella\n");
    exit (1);
  }

  /* leggo il limite e controllo che sia un numero intero */

  if (sscanf(buf,"%ld",&imax) != 1)
  {
    fprintf (stderr, "errore - il limite inserito (%s) non e' un intero\n", buf);
    exit (2);
  }

  /* stampo la tabella dei quadrati richiesta */

  for (i=1; i<=imax; i++)
    printf ("%9lu ... %lu\n", i, i*i);

  return 0;
}
