#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define NDIM 3
#define MAXBC 127

int main ()
{
  char buf[MAXBC+1];
  double a[NDIM], b[NDIM];
  double ris;
  int i;

  /* leggo il primo punto */

  if (gets(buf) == NULL) {
    fprintf (stderr, "errore - introdurre un punto\n");
    exit (1);
  }
  if (sscanf(buf,"%lf %lf %lf",&a[0],&a[1],&a[2]) != 3) {
    fprintf (stderr, "errore - nella riga '%s' mancano una o piu' coordinate\n", buf);
    exit (2);
  }

  /* leggo il secondo punto */

  if (gets(buf) == NULL) {
    fprintf (stderr, "errore - introdurre un punto\n");
    exit (1);
  }
  if (sscanf(buf,"%lf %lf %lf",&b[0],&b[1],&b[2]) != 3) {
    fprintf (stderr, "errore - nella riga '%s' mancano una o piu' coordinate\n", buf);
    exit (2);
  }

  /* calcolo la distanza */

  ris = 0;
  for (i=0; i<NDIM; i++)
    ris += (a[i]-b[i]) * (a[i]-b[i]);
  ris = sqrt(ris);

  /* scrivo il risultato */

  printf ("distanza = %lf\n", ris);

  return 0;
}
