/**************************************

MODULO: sum2arg.c

SCOPO: sommare i due argomenti

**************************************/

#include <stdio.h>
#include <stdlib.h>


int main (int argc, char *argv[])
{
  double a, b;

  /* controllo che i numeri siano stati inseriti */

  if (argc != 3)
  {
    fprintf (stderr, "errore - inserire due parametri\n");
    exit (1);
  }

  /* controllo che i parametri siano numerici */

  if (sscanf(argv[1],"%lf",&a) != 1)
  {
    fprintf (stderr, "errore - il primo parametro (%s) non e' un numero\n", argv[1]);
    exit (2);
  }
  
  if (sscanf(argv[2],"%lf",&b) != 1)
  {
    fprintf (stderr, "errore - il secondo parametro (%s) non e' un numero\n", argv[2]);
    exit (2);
  }

  /* stampo la somma */

  printf ("%lf + %lf = %lf\n", a, b, a+b);

  return 0;
}

