/**************************************

MODULO: tavquad2.c

SCOPO: tavola dei quadrati (con limite
introdotto sulla riga di comando)

**************************************/

#include <stdio.h>
#include <stdlib.h>


int main (int argc, char *argv[])
{
  long i, imax;

  /* controllo che il limite sia stato inserito */

  if (argc != 2)
  {
    fprintf (stderr, "errore - inserire il limite superiore della tabella\n");
    exit (1);
  }

  /* leggo il limite e controllo che sia un numero intero */

  if (sscanf(argv[1],"%ld",&imax) != 1)
  {
    fprintf (stderr, "errore - il limite inserito (%s) non e' un intero\n", argv[1]);
    exit (2);
  }

  /* stampo la tabella dei quadrati richiesta */

  printf ("TAVOLA DEI QUADRATI\n\n");
  for (i=1; i<=imax; i++)
    printf ("%9lu ... %lu\n", i, i*i);

  return 0;
}

